<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>
    	Search Results
	</ion-title>
	<ion-icon *ngIf="!airport" end name="md-funnel" (click)="filter()" style="padding-right: 20px;"></ion-icon>
  </ion-navbar>
  	<ion-grid class="bar-positive" *ngIf="!airport">
		<ion-row >
			<ion-col col-5 class="text-center">
				<p><strong>{{from}}</strong>
			</ion-col>
			<ion-col *ngIf="!airport" col-1 (click)="swapPlaces()" class="text-right">
				<ion-icon name="md-swap" class="swap"></ion-icon>
			</ion-col>
			<ion-col col-1></ion-col>
			<ion-col col-5 class="text-center">
				<p><strong>{{to}}</strong>
			</ion-col>
		</ion-row>

	</ion-grid>
</ion-header>

<ion-content class="grey-background">

	<!-- Open Rides --> 
	<div *ngIf="action == 1 && openRides" class="pad-10"> 
		<h2 class="text-theme text-center" *ngIf="openRides.length > 0"> Open Rides </h2> 
		<ion-list inset *ngFor="let item of openRides" class="rides">
			<ion-card>
		        <ion-card-content>
		          	<ion-grid>
			            <ion-row>
				            <ion-col col-4 class="img-avatar">
				                <img *ngIf="item.avatar.startsWith('/')" [src]="url+item.avatar">
				                <img *ngIf="item.avatar.startsWith('h')" [src]="item.avatar">
				            </ion-col>

			              	<ion-col col-5>
				                <h4> <strong> {{item.first_name}} </strong> </h4>
				                <p> {{item.make}} {{item.model}}</p>
				                <!-- <ionic3-star-rating 
								    activeIcon = "ios-star"
								    defaultIcon = "ios-star-outline"
								    activeColor = "#ffcc00" 
								    defaultColor = "#ffcc00"
								    fontSize = "8px"
								    readonly="true"
								    [rating]="item.rating" style="font-size: 8px !important">
								</ionic3-star-rating> --> 
				            </ion-col>

			              <ion-col col-3>
			                <h1 class="text-theme"> <strong> ${{item.price}} </strong> </h1>
			              </ion-col>
			            </ion-row>
			            <ion-row class="pad-10">
			              	<div class="ride-detail">
				                <p><span class="icon-location bg-theme"> </span> 
				                <strong>{{item.location_from}} </strong> </p>
				                <p><span class="icon-location bg-stop"></span> 
				                <strong> {{item.location_to}} </strong> </p>
			            	</div>
			            </ion-row>

			            <ion-row>
			              <ion-col col-7>
			              	<p><strong>Open Dates:</strong></p> 
			                <h4>From <strong> {{item.open_date_from}}</strong></h4> 
			                <h4>Until <strong> {{item.open_date_to}}</strong></h4>
			              </ion-col>
			              <ion-col col-5>
			              	<p><strong> Seats: </strong> {{item.seats}}</p>
			                <button (click)="bookOpenRide(item)"
			                ion-button small color="primary" style="font-weight: bold;">
			                  SELECT RIDE 
			                </button>
			              </ion-col>
			            </ion-row>
		          	</ion-grid> 
		        </ion-card-content>
		    </ion-card>
		</ion-list>
	</div>

	<!-- Normal Rides --> 
	<div *ngIf="action == 1 && rideList" class="pad-10">
		<h2 class="text-theme text-center" *ngIf="rideList.length > 0 && !airport"> Fixed Rides </h2> 
		<ion-list inset *ngFor="let item of rideList" class="rides">
			<ion-card>
		        <ion-card-content>
		          <ion-grid>
		            <ion-row (click)="bookRide(item.id, item.ladies_only)">
		              <ion-col col-4 class="img-avatar">
		                  <img *ngIf="item.avatar.startsWith('/')" [src]="url+item.avatar">
		                  <img *ngIf="item.avatar.startsWith('h')" [src]="item.avatar">
		                  
		              </ion-col>

		              <ion-col col-5>
		                <h4> <strong> {{item.first_name}} </strong> </h4>
		                <p> {{item.make}} {{item.model}}</p>
		                <ionic3-star-rating 
						    activeIcon = "ios-star"
						    defaultIcon = "ios-star-outline"
						    activeColor = "#ffcc00" 
						    defaultColor = "#ffcc00"
						    fontSize = "8px"
						    readonly="true"
						    [rating]="item.rating" style="font-size: 8px !important">
						</ionic3-star-rating> 
		              </ion-col>

		              <ion-col col-3>
		                <h1 class="text-theme"> <strong> ${{item.price}} </strong> </h1>
		                <p *ngIf="item.ladies_only == 'Yes'" class="ladies">
		                	Women Only <br>
		                	<ion-icon name="woman"></ion-icon>
		                </p>
		              </ion-col>
		            </ion-row>
		            <ion-row class="pad-10">
		              	<div class="ride-detail">
			                <p><span class="icon-location bg-theme"></span> {{item.start }}  <strong>{{item.location_from}} </strong> </p>
			                <p><span class="icon-location bg-stop"></span>{{item.end}} <strong> {{item.location_to}} </strong> </p>
		            	</div>
		            </ion-row>

		            <ion-row>
		              <ion-col col-4>
		                <h4> <strong> {{item.date}} </strong> </h4>
		                <span *ngIf="item.ride_type == 'Airport'" class="badge badge-success"> Airport Ride </span> 
		              </ion-col>
		              <ion-col col-4>
		                <h4><strong> Seats: </strong>{{item.seats_available}}</h4>
		              </ion-col>
		              <ion-col col-4>
		                <button (click)="bookRide(item.id,item.ladies_only)" 
		                ion-button small color="primary">
		                  More Info 
		                </button>
		              </ion-col>
		            </ion-row>
		          </ion-grid> 
		        </ion-card-content>
		      </ion-card>
		</ion-list>
	</div>

	<div *ngIf=" action == 2" padding>
		<div padding-top class="ride-search-notfound text-center pad-all-10" *ngIf="!airport">

		    <h2>Sorry, there are no rides available matching your criteria.</h2> 

			<p>Sign up to be notified if a driver posts this ride:</p>
			<p> From <strong> {{ from }} </strong>
				to <strong> {{ to }} </strong> 
			</p>
			<button ion-button block class="bg-theme text-white btn rounded" 
			(click)="rideReminder()">Ride Alert</button>
		</div>
		<div padding-top class="ride-search-notfound text-center pad-all-10" *ngIf="airport">
			 <h2> Sorry, there are no rides available matching your criteria.</h2> 
			 <p> There are no current rides to <strong> {{from}} </strong> </p> 
		</div> 
	</div>

</ion-content>
